import type { I18n } from '@payloadcms/translations';
import type { EditViewProps, SanitizedConfig, SanitizedGlobalConfig, WithServerSideProps as WithServerSidePropsType } from 'payload/types';
import React from 'react';
import type { GlobalComponentMap } from './types.js';
export declare const mapGlobals: (args: {
    DefaultEditView: React.FC<EditViewProps>;
    WithServerSideProps: WithServerSidePropsType;
    config: SanitizedConfig;
    globals: SanitizedGlobalConfig[];
    i18n: I18n;
    readOnly?: boolean;
}) => {
    [key: SanitizedGlobalConfig['slug']]: GlobalComponentMap;
};
//# sourceMappingURL=globals.d.ts.map